package domain


type AlibabaWdkMerchantBrandQueryResult struct {
    /*
        success     */
    Success  *bool `json:"success,omitempty" `

    /*
        errorCode     */
    ErrorCode  *string `json:"error_code,omitempty" `

    /*
        errorDesc     */
    ErrorDesc  *string `json:"error_desc,omitempty" `

    /*
        result     */
    Results  *string `json:"results,omitempty" `

}

func (s *AlibabaWdkMerchantBrandQueryResult) SetSuccess(v bool) *AlibabaWdkMerchantBrandQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkMerchantBrandQueryResult) SetErrorCode(v string) *AlibabaWdkMerchantBrandQueryResult {
    s.ErrorCode = &v
    return s
}
func (s *AlibabaWdkMerchantBrandQueryResult) SetErrorDesc(v string) *AlibabaWdkMerchantBrandQueryResult {
    s.ErrorDesc = &v
    return s
}
func (s *AlibabaWdkMerchantBrandQueryResult) SetResults(v string) *AlibabaWdkMerchantBrandQueryResult {
    s.Results = &v
    return s
}
